CVE-2019-3788 (uaa_release)

Cloud Foundry UAA Release, versions prior to 71.0, allows clients to be configured with an insecure redirect uri. Given a UAA client was configured with a wildcard in the redirect uri’s subdomain, a remote malicious unauthenticated user can craft a phishing link to get a UAA access code from the victim.
Source: NIST
CVE-2019-3788 (uaa_release)